%define kdename kmp3te
%define	version 0.8.1
%define release 5mdk
%define kde1dir %{_libdir}/kde1-compat

Name: %{kdename}
Summary: MP3 tag editor
Version: %{version}
Release: %{release}
Source:  %{name}-%{version}.tar.bz2
Source1: kmp3te_menuentry
Source2: mini-kmp3te.xpm
Source3: large-kmp3te.xpm
Group: Sound
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: qt kdelibs

%description
K Desktop Environment tag editor for MP3 audio files.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
export KDEDIR=%{kde1dir}
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{kde1dir} --exec-prefix=%{kde1dir} --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT 
export KDEDIR=%{_prefix}

make prefix=$RPM_BUILD_ROOT%{kde1dir} \
exec_prefix=$RPM_BUILD_ROOT%{kde1dir} \
kde_bindir=$RPM_BUILD_ROOT%{kde1dir}/bin \
kde_appsdir=$RPM_BUILD_ROOT%{kde1dir}/share/applnk \
kde_htmldir=$RPM_BUILD_ROOT%{_docdir}/kde1/HTML \
kde_datadir=$RPM_BUILD_ROOT%{kde1dir}/share/apps \
bindir=$RPM_BUILD_ROOT%{_bindir} \
kde_icondir=$RPM_BUILD_ROOT%{_iconsdir} \
kde_minidir=$RPM_BUILD_ROOT%{_miconsdir} install


mkdir -p $RPM_BUILD_ROOT/%{_menudir}
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/%{_menudir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.xpm
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.xpm

(cd $RPM_BUILD_ROOT; find usr/lib/kde1-compat/share/locale -type f -print) | perl -ne 'print "%lang($1) /$_" if m|/locale/(..)|' > %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}


%files
%defattr(-,root,root,755)
%doc %{_docdir}/kde1/HTML/*/*
%{_bindir}/*
%{_menudir}/*
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%changelog
* Mon Oct  9 2000 Vincent Saugey <vince@mandrakesoft.com> 0.8.1-5mdk
- Remove type mine for 7.2

* Thu Sep  7 2000 Vincent Saugey <vince@mandrakesoft.com> 0.8.1-4mdk
- Correct instal lang
- Adding large icon

* Tue Aug 22 2000 Vincent Saugey <vince@mandrakesoft.com> 0.8.1-3mdk
- BM + macroszification
- kde1-compat

* Tue Mar 28 2000 Francis Galiegue <fg@mandrakesoft.com> 0.8.1-2mdk

- Don't use autogenerated file list
- Menu entry
- Added small icon

* Tue Nov 23 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance
- Manually move documentation to /usr/doc/kde

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

